package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.Single;

/**
 * 不接单信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public interface ISingleService 
{
    /**
     * 查询不接单信息
     * 
     * @param singleId 不接单信息主键
     * @return 不接单信息
     */
    public Single selectSingleBySingleId(Long singleId);

    /**
     * 查询不接单信息列表
     * 
     * @param single 不接单信息
     * @return 不接单信息集合
     */
    public List<Single> selectSingleList(Single single);

    /**
     * 新增不接单信息
     * 
     * @param single 不接单信息
     * @return 结果
     */
    public int insertSingle(Single single);

    /**
     * 修改不接单信息
     * 
     * @param single 不接单信息
     * @return 结果
     */
    public int updateSingle(Single single);

    /**
     * 批量删除不接单信息
     * 
     * @param singleIds 需要删除的不接单信息主键集合
     * @return 结果
     */
    public int deleteSingleBySingleIds(Long[] singleIds);

    /**
     * 删除不接单信息信息
     * 
     * @param singleId 不接单信息主键
     * @return 结果
     */
    public int deleteSingleBySingleId(Long singleId);

    /**
     * 查询不接单信息列表
     *
     * @return 不接单信息集合
     */
    public List<Single> getSingleList();
}
